<template>
  <div >
    <component :is="type" :href="href" class="button ">
        <slot/>
    </component>
  </div>
</template>
  
  <script>
  export default {
    props: {
      href: {
        type: String,
        default: null
      },
    },
    computed: {
      type() {
        if (this.href) {
          return 'a'
        } else {
          return 'button'
        }
      }
    }
  }
  </script>
  
  <style scoped>
  </style>